opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
cv::VecCommaInitializer< _Tp, m > Class Template Reference

`#include <core.hpp>`

Inheritance diagram for cv::VecCommaInitializer< _Tp, m >:

## Public Member Functions
Vec< _Tp, m > | operator* () const
template<typename _T2 >
VecCommaInitializer< _Tp, cn > & | operator, (_T2 value)
template<typename T2 >
VecCommaInitializer< _Tp, m > & | operator, (T2 val)
| VecCommaInitializer (Vec< _Tp, m > *_vec)
Public Member Functions inherited from cv::MatxCommaInitializer< _Tp, m, 1 >
| MatxCommaInitializer (Matx< _Tp, m, n > *_mtx)
Matx< _Tp, m, n > | operator* () const
MatxCommaInitializer< _Tp, m, n > & | operator, (T2 val)

## Additional Inherited Members
Public Attributes inherited from cv::MatxCommaInitializer< _Tp, m, 1 >
Matx< _Tp, m, n > * | dst
int | idx

## Constructor & Destructor Documentation

template<typename _Tp , int cn>

cv::VecCommaInitializer< _Tp, cn >::VecCommaInitializer | ( | Vec< _Tp, cn > * | _vec | ) |
| inline

## Member Function Documentation

template<typename _Tp , int cn>

Vec< _Tp, cn > cv::VecCommaInitializer< _Tp, cn >::operator* | ( |  | ) | const
| inline

template<typename _Tp, int m>
template<typename _T2 >

VecCommaInitializer<_Tp, cn>& cv::VecCommaInitializer< _Tp, m >::operator, | ( | _T2 | value | ) |
| inline

template<typename _Tp, int m>
template<typename T2 >

VecCommaInitializer<_Tp, m>& cv::VecCommaInitializer< _Tp, m >::operator, | ( | T2 | val | ) |

The documentation for this class was generated from the following files:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/core.hpp
- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/operations.hpp